Get extraction capabilities
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities"
payload = { "scope": {
"kind": "files",
"file_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: {kind: 'files', file_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']}})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => [
'kind' => 'files',
'file_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities"
payload := strings.NewReader("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-capabilities",
"version": 1,
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"actions": {
"view_results": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"view_history": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_single": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_bulk": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_collection": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"reextract": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"review_results": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"cancel": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"levels": [
{
"level": "<string>",
"default": true,
"estimate": "<unknown>"
}
]
}
}Extraction
Get extraction capabilities
Ask what an extraction over given Files can do.
Get extraction capabilities
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities"
payload = { "scope": {
"kind": "files",
"file_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: {kind: 'files', file_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']}})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => [
'kind' => 'files',
'file_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities"
payload := strings.NewReader("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-capabilities",
"version": 1,
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"actions": {
"view_results": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"view_history": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_single": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_bulk": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"start_collection": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"reextract": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"review_results": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
},
"cancel": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"levels": [
{
"level": "<string>",
"default": true,
"estimate": "<unknown>"
}
]
}
}Operation ID:
http.semantic_tasks.file_extractions.capabilities
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
2XX - application/json
Success.
Show child attributes
Show child attributes